ruby2.6-rubygem-rake-compiler-1.0.7-1.1.i586.rpm


Advertisement

Description

ruby2.6-rubygem-rake-compiler - Rake-based Ruby Extension (C, Java) task generator

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename ruby2.6-rubygem-rake-compiler-1.0.7-1.1.i586.rpm
Package name ruby2.6-rubygem-rake-compiler
Package version 1.0.7
Package release 1.1
Package architecture i586
Package type rpm
Category Development/Languages/Ruby
Homepage https://github.com/rake-compiler/rake-compiler
License MIT
Maintainer -
Download size 77.75 KB
Installed size 131.73 KB
Provide a standard and simplified way to build and package
Ruby extensions (C, Java) using Rake as glue.

Alternatives

Package Version Architecture Repository
ruby2.6-rubygem-rake-compiler-1.0.7-1.1.x86_64.rpm 1.0.7 x86_64 openSUSE Oss
ruby2.6-rubygem-rake-compiler - - -

Requires

Name Value
/usr/bin/ruby.ruby2.6 -
ruby(abi) = 2.6.0
rubygem(ruby:2.6.0:rake) >= 0
update-alternatives -

Provides

Name Value
ruby2.6-rubygem-rake-compiler = 1.0.7-1.1
ruby2.6-rubygem-rake-compiler(x86-32) = 1.0.7-1.1
rubygem(rake-compiler) = 1.0.7
rubygem(ruby:2.6.0:rake-compiler) = 1.0.7
rubygem(ruby:2.6.0:rake-compiler:1) = 1.0.7
rubygem(ruby:2.6.0:rake-compiler:1.0) = 1.0.7
rubygem(ruby:2.6.0:rake-compiler:1.0.7) = 1.0.7

Download

Type URL
Mirror widehat.opensuse.org
Binary Package ruby2.6-rubygem-rake-compiler-1.0.7-1.1.i586.rpm
Source Package rubygem-rake-compiler-1.0.7-1.1.src.rpm

Install Howto

Install ruby2.6-rubygem-rake-compiler rpm package:

# zypper install ruby2.6-rubygem-rake-compiler

Files

Path
/etc/alternatives/rake-compiler
/etc/alternatives/rake-compiler-1.0.7
/etc/alternatives/rake-compiler.ruby2.6
/usr/bin/rake-compiler
/usr/bin/rake-compiler-1.0.7
/usr/bin/rake-compiler.ruby2.6
/usr/bin/rake-compiler.ruby2.6-1.0.7
/usr/lib/ruby/gems/2.6.0/cache/rake-compiler-1.0.7.gem
/usr/lib/ruby/gems/2.6.0/gems/rake-compiler-1.0.7/Gemfile
/usr/lib/ruby/gems/2.6.0/gems/rake-compiler-1.0.7/History.txt
/usr/lib/ruby/gems/2.6.0/gems/rake-compiler-1.0.7/LICENSE.txt
/usr/lib/ruby/gems/2.6.0/gems/rake-compiler-1.0.7/README.rdoc
/usr/lib/ruby/gems/2.6.0/gems/rake-compiler-1.0.7/Rakefile
/usr/lib/ruby/gems/2.6.0/gems/rake-compiler-1.0.7/appveyor.yml
/usr/lib/ruby/gems/2.6.0/gems/rake-compiler-1.0.7/cucumber.yml
/usr/lib/ruby/gems/2.6.0/gems/rake-compiler-1.0.7/bin/rake-compiler
/usr/lib/ruby/gems/2.6.0/gems/rake-compiler-1.0.7/features/compile.feature
/usr/lib/ruby/gems/2.6.0/gems/rake-compiler-1.0.7/features/cross-compile.feature
/usr/lib/ruby/gems/2.6.0/gems/rake-compiler-1.0.7/features/cross-package-multi.feature
/usr/lib/ruby/gems/2.6.0/gems/rake-compiler-1.0.7/features/cross-package.feature
/usr/lib/ruby/gems/2.6.0/gems/rake-compiler-1.0.7/features/java-compile.feature
/usr/lib/ruby/gems/2.6.0/gems/rake-compiler-1.0.7/features/java-no-native-compile.feature
/usr/lib/ruby/gems/2.6.0/gems/rake-compiler-1.0.7/features/java-package.feature
/usr/lib/ruby/gems/2.6.0/gems/rake-compiler-1.0.7/features/package.feature
/usr/lib/ruby/gems/2.6.0/gems/rake-compiler-1.0.7/features/step_definitions/compilation.rb
/usr/lib/ruby/gems/2.6.0/gems/rake-compiler-1.0.7/features/step_definitions/cross_compilation.rb
/usr/lib/ruby/gems/2.6.0/gems/rake-compiler-1.0.7/features/step_definitions/execution.rb
/usr/lib/ruby/gems/2.6.0/gems/rake-compiler-1.0.7/features/step_definitions/folders.rb
/usr/lib/ruby/gems/2.6.0/gems/rake-compiler-1.0.7/features/step_definitions/gem.rb
/usr/lib/ruby/gems/2.6.0/gems/rake-compiler-1.0.7/features/step_definitions/java_compilation.rb
/usr/lib/ruby/gems/2.6.0/gems/rake-compiler-1.0.7/features/support/env.rb
/usr/lib/ruby/gems/2.6.0/gems/rake-compiler-1.0.7/features/support/file_template_helpers.rb
/usr/lib/ruby/gems/2.6.0/gems/rake-compiler-1.0.7/features/support/generator_helpers.rb
/usr/lib/ruby/gems/2.6.0/gems/rake-compiler-1.0.7/features/support/platform_extension_helpers.rb
/usr/lib/ruby/gems/2.6.0/gems/rake-compiler-1.0.7/lib/
/usr/lib/ruby/gems/2.6.0/gems/rake-compiler-1.0.7/lib/rake/baseextensiontask.rb
/usr/lib/ruby/gems/2.6.0/gems/rake-compiler-1.0.7/lib/rake/extensioncompiler.rb
/usr/lib/ruby/gems/2.6.0/gems/rake-compiler-1.0.7/lib/rake/extensiontask.rb
/usr/lib/ruby/gems/2.6.0/gems/rake-compiler-1.0.7/lib/rake/javaextensiontask.rb
/usr/lib/ruby/gems/2.6.0/gems/rake-compiler-1.0.7/tasks/bootstrap.rake
/usr/lib/ruby/gems/2.6.0/gems/rake-compiler-1.0.7/tasks/common.rake
/usr/lib/ruby/gems/2.6.0/gems/rake-compiler-1.0.7/tasks/cucumber.rake
/usr/lib/ruby/gems/2.6.0/gems/rake-compiler-1.0.7/tasks/gem.rake
/usr/lib/ruby/gems/2.6.0/gems/rake-compiler-1.0.7/tasks/rspec.rake
/usr/lib/ruby/gems/2.6.0/gems/rake-compiler-1.0.7/tasks/bin/cross-ruby.rake
/usr/lib/ruby/gems/2.6.0/specifications/rake-compiler-1.0.7.gemspec
/usr/share/doc/packages/ruby2.6-rubygem-rake-compiler/History.txt
/usr/share/doc/packages/ruby2.6-rubygem-rake-compiler/LICENSE.txt
/usr/share/doc/packages/ruby2.6-rubygem-rake-compiler/README.rdoc

Changelog

2019-01-14 - Stephan Kulow <coolo@suse.com>
- updated to version 1.0.7
see installed History.txt
=== 1.0.7 / 2019-01-04
* Bugfixes:
* Fix a bug that JRuby class path detection is failed on
cross-compilation.
[#149] #151 [Reported by Chalupa Petr][Patch by Prashant Vithani]
=== 1.0.6 / 2018-12-23
* Enhancements:
* Stop to make unreleased Ruby installable.
[#150] [Reported by MSP-Greg]
2018-09-05 - coolo@suse.com
- updated to version 1.0.5
see installed History.txt
=== 1.0.5 / 2018-08-31
* Enhancements:
* Improve JRuby class pass detection.
[#147] [Patch by Prashant Vithani]
* Update the default source and target versions to Java 6.
[#148] [Patch by Prashant Vithani]
2017-05-30 - coolo@suse.com
- updated to version 1.0.4
see installed History.txt
=== 1.0.4 / 2017-05-27
* Enhancements:
* Migrate to RSpec 3 from RSpec 2.
* Add more tests.
[#140] [Patch by Lars Kanis]
* Support C++ source files by default.
[#141] [Patch by Takashi Kokubun]
* Suppress warnings.
[#142] [Patch by Akira Matsuda]
2016-12-08 - coolo@suse.com
- updated to version 1.0.3
see installed History.txt
=== 1.0.3 / 2016-12-02
* Enhancements:
* Support specifying required Ruby versions.
[#137] [Patch by Lars Kanis]
2016-11-13 - coolo@suse.com
- updated to version 1.0.2
see installed History.txt
=== 1.0.2 / 2016-11-13
* Bugfixes:
* Fix Ruby version detection example code in README.
[#135] [Patch by Nicolas Noble]
* Fix version detection.
[#136] [Patch by Lars Kanis]
2016-06-21 - coolo@suse.com
- updated to version 1.0.1
see installed History.txt
=== 1.0.1 / 2016-06-21
* Bugfixes:
* Add missing dependency.
=== 1.0.0 / 2016-06-21
* Enhancements:
* Really support extension in sub directory.
2016-05-21 - coolo@suse.com
- updated to version 0.9.9
see installed History.txt
=== 0.9.9 / 2016-05-10
* Bugfixes:
* Support Symbol as extension name again.
[#134] [Patch by Takashi Kokubun]
2016-04-29 - coolo@suse.com
- updated to version 0.9.8
see installed History.txt
=== 0.9.8 / 2016-04-29
* Enhancements:
* Support extension in sub directory.
[#128], #129 [Patch by Kenta Murata]
2016-03-19 - coolo@suse.com
- updated to version 0.9.7
see installed History.txt
=== 0.9.7 / 2016-03-16
* Bugfixes:
* May fix "make" detection on Windows.
[#123] [Reported by Aaron Stone]
2016-03-05 - coolo@suse.com
- updated to version 0.9.6
see installed History.txt
=== 0.9.6 / 2016-03-04
* Enhancements
* Add more descriptions into README.
Closes #105 [Patch by Aaron Stone]
* Remove needless executable bits.
Closes #107 [Patch by Thibault Jouan]
* Update .gitignore.
Closes #108 [Patch by Thibault Jouan]
* Improve "make" detection on some platforms such as FreeBSD.
Closes #109 [Patch by Thibault Jouan]
* Enable cucumber steps for POSIX on *BSD.
Closes #110 [Patch by Thibault Jouan]
* Stop to build bundled extensions.
* Add description about CLI option into README.
Closes #115 [Patch by Richard Michael]
* Update description about using rake-compiler on virtual machine in
README.
Closes #116, #117 [Patch by Lars Kanis]
* Update fake mechanism to be compatible with Bundler.
Closes #121 [Patch by Lars Kanis]
* Bugfixes:
* Fix typos in README.
Closes #102, #103 [Patch by Robert Fletcher]

See Also

Package Description
ruby2.6-rubygem-rake-compiler-doc-1.0.7-1.1.i586.rpm RDoc documentation for rake-compiler
ruby2.6-rubygem-rake-compiler-doc-1.0.7-1.1.x86_64.rpm RDoc documentation for rake-compiler
ruby2.6-rubygem-rake-compiler-testsuite-1.0.7-1.1.i586.rpm Test suite for rake-compiler
ruby2.6-rubygem-rake-compiler-testsuite-1.0.7-1.1.x86_64.rpm Test suite for rake-compiler
ruby2.6-rubygem-rake-doc-11_3-11.3.0-1.8.i586.rpm RDoc documentation for rake
ruby2.6-rubygem-rake-doc-11_3-11.3.0-1.8.x86_64.rpm RDoc documentation for rake
ruby2.6-rubygem-rake-doc-12_0-12.0.0-1.3.i586.rpm RDoc documentation for rake
ruby2.6-rubygem-rake-doc-12_0-12.0.0-1.3.x86_64.rpm RDoc documentation for rake
ruby2.6-rubygem-rb-fsevent-0.10.3-1.3.i586.rpm Very simple & usable FSEvents API
ruby2.6-rubygem-rb-fsevent-0.10.3-1.3.x86_64.rpm Very simple & usable FSEvents API
ruby2.6-rubygem-rb-fsevent-doc-0.10.3-1.3.i586.rpm RDoc documentation for rb-fsevent
ruby2.6-rubygem-rb-fsevent-doc-0.10.3-1.3.x86_64.rpm RDoc documentation for rb-fsevent
ruby2.6-rubygem-rb-inotify-0.10.0-1.1.i586.rpm A Ruby wrapper for Linux inotify, using FFI
ruby2.6-rubygem-rb-inotify-0.10.0-1.1.x86_64.rpm A Ruby wrapper for Linux inotify, using FFI
ruby2.6-rubygem-rb-inotify-doc-0.10.0-1.1.i586.rpm RDoc documentation for rb-inotify
Advertisement
Advertisement